stages:
  - linters
  - tests

golangci-lint-hw1:
  image: golangci/golangci-lint:v1.23-alpine
  stage: linters
  script:
    - cd ./hw-1
    - go fmt
    - golangci-lint --config ../golangci.yml run ./...

golangci-lint-hw2:
  image: golangci/golangci-lint:v1.23-alpine
  stage: linters
  script:
    - cd ./hw-2
    - go fmt
    - golangci-lint --config ../golangci.yml run ./...

golangci-lint-hw3:
  image: golangci/golangci-lint:v1.23-alpine
  stage: linters
  script:
    - cd ./hw-3
    - go fmt
    - golangci-lint --config ../golangci.yml run ./...

golangci-lint-hw4:
  image: golangci/golangci-lint:v1.23-alpine
  stage: linters
  script:
    - cd ./hw-4
    - go fmt
    - golangci-lint --config ../golangci.yml run ./...

golangci-lint-hw5:
  image: golangci/golangci-lint:v1.23-alpine
  stage: linters
  script:
    - cd ./hw-5
    - go fmt
    - golangci-lint --config ../golangci.yml run ./...

golangci-lint-hw6:
  image: golangci/golangci-lint:v1.23-alpine
  stage: linters
  script:
    - cd ./hw-6
    - go fmt
    - golangci-lint --config ../golangci.yml run ./...

golangci-lint-hw7:
  image: golangci/golangci-lint:v1.23-alpine
  stage: linters
  script:
    - cd ./hw-7
    - go fmt
    - golangci-lint --config ../golangci.yml run ./...

golangci-lint-hw8:
  image: golangci/golangci-lint:v1.23-alpine
  stage: linters
  script:
    - cd ./hw-8
    - go fmt
    - golangci-lint --config ../golangci.yml run ./...

golangci-lint-hw9:
  image: golangci/golangci-lint:v1.23-alpine
  stage: linters
  script:
    - cd ./hw-9
    - go fmt
    - golangci-lint --config ../golangci.yml run ./...

golangci-lint-hw10:
  image: golangci/golangci-lint:v1.23-alpine
  stage: linters
  script:
    - cd ./hw-10
    - go fmt
    - golangci-lint --config ../golangci.yml run ./...


unit-tests-hw2:
  stage: tests
  image: golang:1.13.8
  script:
    - cd ./hw-2
    - go test -v -race ./...

unit-tests-hw3:
  stage: tests
  image: golang:1.13.8
  script:
    - cd ./hw-3
    - go test -v -race ./...

unit-tests-hw4:
  stage: tests
  image: golang:1.13.8
  script:
    - cd ./hw-4
    - go test -v -race ./...

unit-tests-hw5:
  stage: tests
  image: golang:1.13.8
  script:
    - cd ./hw-5
    - go test -v -race ./...

unit-tests-hw6:
  stage: tests
  image: golang:1.13.8
  script:
    - cd ./hw-6
    - go test -v -race ./...


unit-tests-hw7:
  stage: tests
  image: golang:1.13.8
  script:
    - cd ./hw-7
    - go test -v -race ./...